Index: lemon/dimacs.h
===================================================================
--- lemon/dimacs.h	(revision 1092)
+++ lemon/dimacs.h	(revision 1158)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -38,14 +38,9 @@
   struct DimacsDescriptor
   {
-    ///\brief DIMACS file type enum
-    ///
-    ///DIMACS file type enum.
-    enum Type {
-      NONE,  ///< Undefined type.
-      MIN,   ///< DIMACS file type for minimum cost flow problems.
-      MAX,   ///< DIMACS file type for maximum flow problems.
-      SP,    ///< DIMACS file type for shostest path problems.
-      MAT    ///< DIMACS file type for plain graphs and matching problems.
-    };
+    ///File type enum
+    enum Type
+      {
+        NONE, MIN, MAX, SP, MAT
+      };
     ///The file type
     Type type;
@@ -55,5 +50,5 @@
     int edgeNum;
     int lineShift;
-    ///Constructor. It sets the type to \c NONE.
+    /// Constructor. Sets the type to NONE.
     DimacsDescriptor() : type(NONE) {}
   };
@@ -61,8 +56,8 @@
   ///Discover the type of a DIMACS file
 
-  ///This function starts seeking the beginning of the given file for the
-  ///problem type and size info.
-  ///The found data is returned in a special struct that can be evaluated
-  ///and passed to the appropriate reader function.
+  ///It starts seeking the beginning of the file for the problem type
+  ///and size info. The found data is returned in a special struct
+  ///that can be evaluated and passed to the appropriate reader
+  ///function.
   DimacsDescriptor dimacsType(std::istream& is)
   {
@@ -102,5 +97,6 @@
 
 
-  /// \brief DIMACS minimum cost flow reader function.
+
+  /// DIMACS minimum cost flow reader function.
   ///
   /// This function reads a minimum cost flow instance from DIMACS format,
@@ -213,5 +209,5 @@
         std::numeric_limits<Capacity>::infinity() :
         std::numeric_limits<Capacity>::max();
-
+ 
     while (is >> c) {
       switch (c) {
@@ -238,5 +234,5 @@
           e = g.addArc(nodes[i], nodes[j]);
           capacity.set(e, _cap);
-        }
+        } 
         else if (desc.type==DimacsDescriptor::MAX) {
           is >> i >> j >> _cap;
@@ -258,5 +254,5 @@
   }
 
-  /// \brief DIMACS maximum flow reader function.
+  /// DIMACS maximum flow reader function.
   ///
   /// This function reads a maximum flow instance from DIMACS format,
@@ -292,5 +288,5 @@
   }
 
-  /// \brief DIMACS shortest path reader function.
+  /// DIMACS shortest path reader function.
   ///
   /// This function reads a shortest path instance from DIMACS format,
@@ -318,5 +314,5 @@
   }
 
-  /// \brief DIMACS capacitated digraph reader function.
+  /// DIMACS capacitated digraph reader function.
   ///
   /// This function reads an arc capacitated digraph instance from
@@ -344,5 +340,5 @@
     typename Digraph::Node u,v;
     if(desc.type==DimacsDescriptor::NONE) desc=dimacsType(is);
-    if(desc.type!=DimacsDescriptor::MAX || desc.type!=DimacsDescriptor::SP)
+    if(desc.type!=DimacsDescriptor::MAX && desc.type!=DimacsDescriptor::SP)
       throw FormatError("Problem type mismatch");
     _readDimacs(is, g, capacity, u, v, infty, desc);
@@ -363,10 +359,10 @@
     g.addArc(s,t);
   }
-
-  /// \brief DIMACS plain (di)graph reader function.
-  ///
-  /// This function reads a plain (di)graph without any designated nodes
-  /// and maps (e.g. a matching instance) from DIMACS format, i.e. from
-  /// DIMACS files having a line starting with
+  
+  /// DIMACS plain (di)graph reader function.
+  ///
+  /// This function reads a (di)graph without any designated nodes and
+  /// maps from DIMACS format, i.e. from DIMACS files having a line
+  /// starting with
   /// \code
   ///   p mat
@@ -393,5 +389,5 @@
       nodes[k] = g.addNode();
     }
-
+    
     while (is >> c) {
       switch (c) {
